/*
 * @(#)TertrisNP.h
 *
 * Copyright 1993 - 2008  David A. Bagley, bagleyd@tux.org
 *
 * Taken from GENERIC X-BASED TETRIS
 *
 * Copyright 1992 - 1995  Q. Alex Zhao, azhao@cc.gatech.edu
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/* Next private header file for Tertris */

#ifndef _TertrisNP_h
#define _TertrisNP_h
#include "TertrisP.h"
#include "TertrisN.h"

#ifdef WINVER
extern void destroyNextGame(HBRUSH brush);
extern void resizeNextGame(NextTertrisWidget w);
extern void sizeNextGame(NextTertrisWidget w);
extern void initializeNextGame(NextTertrisWidget w, HBRUSH brush);
extern void exposeNextGame(NextTertrisWidget w);
extern void hideNextGame(NextTertrisWidget w);
extern void ToggleNextGame(NextTertrisWidget w);
extern void enterNextGame(NextTertrisWidget w);
extern void leaveNextGame(NextTertrisWidget w);
extern Boolean DiagonalNextGame(NextTertrisWidget w);
extern void toggleSoundNextGame(NextTertrisWidget w);
extern Boolean MixedNextGame(NextTertrisWidget w);
extern void valueNextGame(NextTertrisWidget w,
	int randomNumber, int randomRotation, int randomRefleection,
	int units, Boolean diagonal, Boolean mixed, Boolean newBonus);
extern void showNextNextGame(NextTertrisWidget w);
extern void setNextGame(NextTertrisWidget w, int reason);
#else

typedef struct _NextTertrisPart
{
	int randomNumber, randomRotation, randomReflection;
	Boolean newBonus;
} NextTertrisPart;
#endif

typedef struct _NextTertrisRec
{
	CorePart core;
	TertrisPart tertris;
#ifndef WINVER
	NextTertrisPart nextTertris;
#endif
} NextTertrisRec;

#ifndef WINVER
/* This gets around C's inability to do inheritance */
typedef struct _NextTertrisClassPart
{
	int ignore;
} NextTertrisClassPart;

typedef struct _NextTertrisClassRec
{
	CoreClassPart coreClass;
	TertrisClassPart tertrisClass;
	NextTertrisClassPart nextTertrisClass;
} NextTertrisClassRec;

extern NextTertrisClassRec nextTertrisClassRec;
#endif
#endif /* _TertrisNP_h */
